Last Comment Bug 348507 - Folder pane scrolling is slow
: Folder pane scrolling is slow
Status: VERIFIED WORKSFORME
[no more comments please. file a new ...
: perf
Product: Thunderbird
Classification: Client Software
Component: General (show other bugs)
: unspecified
: x86 Linux
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-13 03:42 PDT by Samuli Kärkkäinen
Modified: 2015-07-06 05:31 PDT (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Samuli Kärkkäinen 2006-08-13 03:42:50 PDT
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.5) Gecko/20060731 Ubuntu/dapper-security Firefox/1.5.0.5
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.5) Gecko/20060731 Ubuntu/dapper-security Firefox/1.5.0.5

Have a large Thunderbird window, with the folder pane spanning from top to bottom, and enough mails in the folder to fill the pane. Scroll the pane with the mouse scroll wheel. Each update takes roughly 300 ms on my AMD64 3200+ (32 bit mode). The experience of slow scrolling is increased by the fact that each scrolling wheel step scrolls the pane by only about 2 header rows.

Reproducible: Always
Comment 1 Josef 2007-06-02 06:20:49 PDT
-> yes, i can confirm the same behaviour on windows
-> the bug is present also while clicking on scrollbar arrows (up or down) by mouse
-> this is really annoying and reproducible even if there are few emails in the folder (too enough emails to be able to scroll)
-> this slowlyness WAS NOT present in the version 1.x
-> it's not enhancement but serious bug, because searching/browsing of some older emails is very impossible
Comment 2 zug_treno 2008-02-26 07:09:15 PST
Related to/duplicate of bug 356201? Bug 356201 comment 0 might have a workaround.
Comment 3 Wayne Mery (:wsmwk, NI for questions) 2008-05-28 05:16:45 PDT
josef, Samuli, does the workaround in Bug 356201 comment 0 change the results?

Josef, Did your problem start with 2.x?  If so, your problem might not be the same as Samuli's, whose problem starts in 1.5.

severity=>normal
Comment 4 Samuli Kärkkäinen 2008-05-28 05:21:32 PDT
The workaround doesn't change the results for me, at least not more than perhaps marginally.
Comment 5 Wayne Mery (:wsmwk, NI for questions) 2008-06-09 10:29:55 PDT
Samuli, do you see high cpu?  Are you talking about the folder selection pane on the left?  I see high cpu scrolling the folder pane, windows XP trunk.
Comment 6 Samuli Kärkkäinen 2008-06-09 10:33:00 PDT
I do see high cpu, as before. I don't have enough folders to scroll the folder selection pane, except when I make the window small, in which case scrolling is snappy and doesn't consume much cpu. I see high cpu consumption when scrolling the headers pane.
Comment 7 Wayne Mery (:wsmwk, NI for questions) 2008-11-20 04:05:30 PST
Do you still see this problem?  ... Using current version of FF (3.0.4), or 3.1 beta - beta 1 at http://www.mozilla.com/en-US/firefox/3.1b1/releasenotes/ ... or beta 2 available soon 

If you no longer see the problem please close the bug.
Comment 8 Wayne Mery (:wsmwk, NI for questions) 2008-11-20 04:36:12 PST
oops - please disregard question about firefox.
Comment 9 Samuli Kärkkäinen 2008-12-07 07:57:31 PST
I changed from Ubuntu's Thunderbird binary to Mozilla's, and the scrolling is now much faster. The folder pane font for some reason changed when I changed the binary. I could test the effect of changing the font if I could figure out how to change it.
Comment 10 Wayne Mery (:wsmwk, NI for questions) 2008-12-23 15:06:10 PST
Samuli, I don't have personal experience in this area, but I think you can close this WORKSFORME and file a bug with Unbutu folk if you want.
Comment 11 Wayne Mery (:wsmwk, NI for questions) 2009-01-24 13:27:28 PST
=> WFM per comment 9
Comment 12 Pádraig Brady 2012-09-03 15:03:04 PDT
Hitting this on Thunderbird 15 on Fedora 15.
Did _not_ have this issue with Thunderbird 6 on Fedora 15.
Comment 13 Pádraig Brady 2012-09-03 16:05:46 PDT
Also related to slow scrolling is bug 356201 (for the message pane).
It seems like scrolling is just grossly inefficient, and once
you max out the CPU you get very noticeable stalls.

Really this should be reopened. Scrolling a list with a couple of hundred
items that rarely change, should not max out my quad core sandybridge CPU.

I also notice the stalls usually happen when the scroll transitions
over an "account boundary" in the folder pane. I.E. as a new account
becomes visible. I have 3 email accounts and lots of RSS feeds in news.
So perhaps some extra processing is involved in that scenario which
is enough to trigger the CPU stall issue.

I thought I might mitigate the issue, by having each account displayed
in different tabs. However the scroll position of the folder pane
is reset as you switch tabs making this solution unworkable.
Comment 14 Pádraig Brady 2013-03-07 05:18:28 PST
I tried out Thunderbird 17. The stalls are noticeably worse than even thunderbird 15.
Longer (up to 10s) and more frequent.
Comment 15 pdf 2013-03-26 07:45:18 PDT
I can verify that this is not specific to Ubuntu builds, and occurs using the Mozilla binaries for 17.0.4 - WFM should be removed I'd think, since we have multiple independent confirmation?  It appears that scrolling is blocked during/immediately after folders are polled for new messages.  This is probably compounded by mail.check_all_imap_folders_for_new, but assuming there's some blocking that occurs for each updated folder, for users who only check the Inbox via poll, this may explain why scrolling past 'account boundaries' triggers it.
Comment 16 Andrzej 2014-05-10 01:16:49 PDT
Still a problem in 24.5.0. Earlier mentioned workaround does the job:

(adding the following line to userChrome.css)
#threadTree treechildren::-moz-tree-row(odd) { background-image: none !important; }
Comment 17 Andrzej 2014-05-10 02:51:33 PDT
Correction, the workaround does not make any difference. There is still the same 2s lag of scrolling in floder pane after a period of inactivity.
Comment 18 Christian Reischl 2014-07-25 09:30:11 PDT
This error occurs in Thunderbird 31.0 too.

I'm responsible for almost 500 PCs and not all of them are affected. It seems that this only happens on Notebooks with Intel HD Graphics (mostly 1st Gen Intel Core series).

System Specs:
Thunderbird 31.0 + Lightning 3.3
Intel HD Graphics
Windows 7 x64 SP1 + latest Updates
4 GB RAM


I've tried different driver versions, new user profiles, settings, etc. without success.

After spending several hours I've found a workaround:
The "Ignore Aero" Theme is not affected. Scrolling works flawlessly there.

https://addons.mozilla.org/de/thunderbird/addon/ignore-aero/
Comment 19 stefan.at.wpf 2014-11-27 07:29:15 PST
I am also using the Intel HD graphics and have the same problem. As soon as aero is disabled, scolling works fine (thanks to comment 18 for pointing this out). Hops this helps in fixing this problem. userChrome.css method didn't really fix the problem for me.
Comment 20 Daniil Lopatin 2015-03-06 06:58:07 PST
Having same problem. Solution in comment 18 works for me.

Processor Graphics in Use:	Intel(R) HD Graphics 2000
Video BIOS:			2080.0
Current Graphics Mode:		1920 by 1080
Comment 21 Andrzej 2015-03-06 12:39:00 PST
I'm seeing this issue on Linux with an Nvidia card and Nouveau drivers. Solution from comment 18 is not applicable.
Comment 22 Pádraig Brady 2015-03-06 13:36:42 PST
As this has gotten worse with increasing thunderbird versions, for me it seems due to increasing memory usage. Right after starting thunderbird (31.4 currently) the scrolling is fine. But gradually as memory leaks over a few days the scrolling becomes more jumpy
Comment 23 Wayne Mery (:wsmwk, NI for questions) 2015-07-06 05:31:29 PDT
This bug report is closed long ago because the reporter no longer sees the problem. Your comments are effectively lost here, so please do not comment further in this bug report. 

If you are seeing a problem, please file a new bug report if the problem
- is not related to memory usage
- is not related to mail.check_all_imap_folders_for_new
- problem reproduces in safe mode
- reproduces in current version 38

ESPECIALLY, please report your issue if it is graphics related, such as Christian and Stefan's aero problem. Please report your graphics card, driver version and date in the bug report. 


(In reply to pdf from comment #15)
> I can verify that this is not specific to Ubuntu builds, and occurs using
> the Mozilla binaries for 17.0.4 - WFM should be removed I'd think, since we
> have multiple independent confirmation?  It appears that scrolling is
> blocked during/immediately after folders are polled for new messages.  This
> is probably compounded by mail.check_all_imap_folders_for_new, but assuming
> there's some blocking that occurs for each updated folder, for users who
> only check the Inbox via poll, this may explain why scrolling past 'account
> boundaries' triggers it.

correct, it does


(In reply to Pádraig Brady from comment #22)
> As this has gotten worse with increasing thunderbird versions, for me it
> seems due to increasing memory usage. Right after starting thunderbird (31.4
> currently) the scrolling is fine. But gradually as memory leaks over a few
> days the scrolling becomes more jumpy

performance related to memory usage is different from the types of issues reported in this bug. If the issue reproduces in safe mode then please file a new bug report

Note You need to log in before you can comment on or make changes to this bug.